> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Health check

GET https://usage-events.prod.api.tabsplatform.com/health

Returns the health status of the application and its dependencies (Valkey/Redis and Kafka)

Reference: https://docs.tabs.com/api-reference/health

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /health:
    get:
      operationId: health
      summary: Health check
      description: >-
        Returns the health status of the application and its dependencies
        (Valkey/Redis and Kafka)
      tags:
        - ''
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Health status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
servers:
  - url: https://usage-events.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    HealthResponseStatus:
      type: string
      enum:
        - ok
        - partial
        - down
      description: Overall health status
      title: HealthResponseStatus
    DependencyStatusStatus:
      type: string
      enum:
        - up
        - down
      description: Status of the dependency
      title: DependencyStatusStatus
    DependencyStatus:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/DependencyStatusStatus'
          description: Status of the dependency
        error:
          type: string
          description: Error message if the dependency is down
      description: Status information for a dependency
      title: DependencyStatus
    HealthResponseError:
      type: object
      properties: {}
      description: Error information (empty if healthy)
      title: HealthResponseError
    HealthResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/HealthResponseStatus'
          description: Overall health status
        info:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/DependencyStatus'
          description: Health information for each dependency
        error:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/HealthResponseError'
          description: Error information (empty if healthy)
        details:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/DependencyStatus'
          description: Detailed health information for each dependency
      description: Health check response containing status of application and dependencies
      title: HealthResponse
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Response**

```json
{
  "status": "ok",
  "info": {
    "valkey": {
      "status": "up"
    },
    "kafka": {
      "status": "up"
    }
  },
  "error": {},
  "details": {
    "valkey": {
      "status": "up"
    },
    "kafka": {
      "status": "up"
    }
  }
}
```

**SDK Code**

```python Healthy Response
import requests

url = "https://usage-events.prod.api.tabsplatform.com/health"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Healthy Response
const url = 'https://usage-events.prod.api.tabsplatform.com/health';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Healthy Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://usage-events.prod.api.tabsplatform.com/health"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Healthy Response
require 'uri'
require 'net/http'

url = URI("https://usage-events.prod.api.tabsplatform.com/health")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Healthy Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://usage-events.prod.api.tabsplatform.com/health")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php Healthy Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://usage-events.prod.api.tabsplatform.com/health', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Healthy Response
using RestSharp;

var client = new RestClient("https://usage-events.prod.api.tabsplatform.com/health");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Healthy Response
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://usage-events.prod.api.tabsplatform.com/health")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```